List of all members
clan::DirectoryListingEntry Class Reference

Virtual File System (VFS) directory listing entry class. More...

`#include <directory_listing_entry.h>`

## Public Member Functions
Construction
| DirectoryListingEntry ()
virtual | ~DirectoryListingEntry ()
Attributes
std::string | get_filename ()
| Returns the file name of the item in the listing. More...
bool | is_directory ()
| Returns true if item is a directory. More...
bool | is_hidden ()
| Returns true if item is hidden. More...
bool | is_writable ()
| Returns true if item is writable. More...
bool | is_readable ()
| Returns true if item is readable. More...
Operations
void | set_filename (const std::string &)
void | set_directory (bool)
void | set_hidden (bool)
void | set_writable (bool)
void | set_readable (bool)

## Detailed Description

Virtual File System (VFS) directory listing entry class.

## Constructor & Destructor Documentation

clan::DirectoryListingEntry::DirectoryListingEntry | ( |  | ) |

virtual clan::DirectoryListingEntry::~DirectoryListingEntry | ( |  | ) |
| virtual

## Member Function Documentation

std::string clan::DirectoryListingEntry::get_filename | ( |  | ) |

Returns the file name of the item in the listing.

bool clan::DirectoryListingEntry::is_directory | ( |  | ) |

Returns true if item is a directory.

bool clan::DirectoryListingEntry::is_hidden | ( |  | ) |

Returns true if item is hidden.

bool clan::DirectoryListingEntry::is_readable | ( |  | ) |

Returns true if item is readable.

bool clan::DirectoryListingEntry::is_writable | ( |  | ) |

Returns true if item is writable.

void clan::DirectoryListingEntry::set_directory | ( | bool |  | ) |

void clan::DirectoryListingEntry::set_filename | ( | const std::string & |  | ) |

void clan::DirectoryListingEntry::set_hidden | ( | bool |  | ) |

void clan::DirectoryListingEntry::set_readable | ( | bool |  | ) |

void clan::DirectoryListingEntry::set_writable | ( | bool |  | ) |

The documentation for this class was generated from the following file:

- directory_listing_entry.h